## CASCADE-Option (cascade_option)

Eine CASCADE-Option (cascade_option) bestimmt das Löschverhalten für Objekte (z.B. Tabellen, Benutzer), d.h. es wird bestimmt, ob gewisse Abhängigkeiten beim Löschen von Objekten berücksichtigt werden sollen oder nicht.

### Syntax

<cascade_option> ::= CASCADE | RESTRICT

### Erläuterung

CASCADE: Abhängigkeiten sollen nicht berücksichtigt werden

RESTRICT: Abhängigkeiten sollen berücksichtigt werden

##### SQL-Anweisungen

DROP-Definition

DROP SCHEMA-Anweisung

DROP TABLE-Anweisung

DROP USER-Anweisung

DROP USERGROUP-Anweisung

DROP VIEW-Anweisung

REVOKE-Anweisung

Referentielle CONSTRAINT-Definition